#include <vdr/plugin.h>
#include <vdr/interface.h>

#include "menu.h"
#include "config.h"


char* keys[] = {
             "kUp",
             "kDown",
             "kMenu",
             "kOk",
             "kBack",
             "kLeft",
             "kRight",
             "kRed",
             "kGreen",
             "kYellow",
             "kBlue",
             "kPlay",
             "kPause",
             "kStop",
             "kRecord",
             "kFastFwd",
             "kFastRew",
             "kChanUp",
             "kChanDn",
             "kUser1", "kUser2", "kUser3", "kUser4", "kUser5", "kUser6", "kUser7", "kUser8", "kUser9"};

//----------------------------------------------------------------------------

cMenuSetupFEpg::cMenuSetupFEpg(void)
{
  newKeyUp = config.keyUp;
  newKeyDown = config.keyDown;
  newKeyLeft = config.keyLeft;
  newKeyRight = config.keyRight;
  newKeyInfo = config.keyInfo;
  newKeyPageUp = config.keyPageUp;
  newKeyPageDown = config.keyPageDown;
  newKeyScreenShot = config.keyScreenShot;
  newKeyBack = config.keyBack;
  newKeyOk = config.keyOk;
  
  Add(new cMenuEditStraItem("Channel Up", &newKeyUp, NUM_OF_KEYS, keys));
  Add(new cMenuEditStraItem("Channel Down", &newKeyDown, NUM_OF_KEYS, keys));
  Add(new cMenuEditStraItem("Scroll Right", &newKeyRight, NUM_OF_KEYS, keys));
  Add(new cMenuEditStraItem("Scroll Left", &newKeyLeft, NUM_OF_KEYS, keys));
  Add(new cMenuEditStraItem("Get Info", &newKeyInfo, NUM_OF_KEYS, keys));
  Add(new cMenuEditStraItem("Page Up", &newKeyPageUp, NUM_OF_KEYS, keys));
  Add(new cMenuEditStraItem("Page Down", &newKeyPageDown, NUM_OF_KEYS, keys));
  Add(new cMenuEditStraItem("Exit", &newKeyBack, NUM_OF_KEYS, keys));
  Add(new cMenuEditStraItem("Select", &newKeyOk, NUM_OF_KEYS, keys));
  Add(new cMenuEditStraItem("Screenshot", &newKeyScreenShot, NUM_OF_KEYS, keys));
  
}

//----------------------------------------------------------------------------

void cMenuSetupFEpg::Store(void)
{
  SetupStore("keyUp", config.keyUp = newKeyUp);
  SetupStore("keyDown", config.keyDown = newKeyDown);
  SetupStore("keyLeft", config.keyLeft = newKeyLeft);
  SetupStore("keyRight", config.keyRight = newKeyRight);
  SetupStore("keyInfo", config.keyInfo = newKeyInfo);
  SetupStore("keyPageUp", config.keyPageUp = newKeyPageUp);
  SetupStore("keyPageDown", config.keyPageDown = newKeyPageDown);
  SetupStore("keyScreenShot", config.keyScreenShot = newKeyScreenShot);
  SetupStore("keyBack", config.keyBack = newKeyBack);
  SetupStore("keyOk", config.keyOk = newKeyOk);
}


//////////////////////////////////////////////////////////////////////////////
